Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getWirelessSsidsTrafficShapingRules({
networkId: "string",
number: "string",
});
export const merakiNetworksWirelessSsidsTrafficShapingRulesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_wireless_ssids_traffic_shaping_rules(network_id="string",
number="string")
pulumi.export("merakiNetworksWirelessSsidsTrafficShapingRulesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupWirelessSsidsTrafficShapingRules(ctx, &networks.LookupWirelessSsidsTrafficShapingRulesArgs{
NetworkId: "string",
Number: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksWirelessSsidsTrafficShapingRulesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetWirelessSsidsTrafficShapingRules.Invoke(new()
{
NetworkId = "string",
Number = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksWirelessSsidsTrafficShapingRulesExample"] = example.Apply(getWirelessSsidsTrafficShapingRulesResult => getWirelessSsidsTrafficShapingRulesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetWirelessSsidsTrafficShapingRulesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getWirelessSsidsTrafficShapingRules(GetWirelessSsidsTrafficShapingRulesArgs.builder()
.networkId("string")
.number("string")
.build());
ctx.export("merakiNetworksWirelessSsidsTrafficShapingRulesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getWirelessSsidsTrafficShapingRules
arguments:
networkId: string
number: string
outputs:
merakiNetworksWirelessSsidsTrafficShapingRulesExample: ${example.item}
Using getWirelessSsidsTrafficShapingRules
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWirelessSsidsTrafficShapingRules(args: GetWirelessSsidsTrafficShapingRulesArgs, opts?: InvokeOptions): Promise<GetWirelessSsidsTrafficShapingRulesResult>
function getWirelessSsidsTrafficShapingRulesOutput(args: GetWirelessSsidsTrafficShapingRulesOutputArgs, opts?: InvokeOptions): Output<GetWirelessSsidsTrafficShapingRulesResult>def get_wireless_ssids_traffic_shaping_rules(network_id: Optional[str] = None,
number: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWirelessSsidsTrafficShapingRulesResult
def get_wireless_ssids_traffic_shaping_rules_output(network_id: Optional[pulumi.Input[str]] = None,
number: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWirelessSsidsTrafficShapingRulesResult]func LookupWirelessSsidsTrafficShapingRules(ctx *Context, args *LookupWirelessSsidsTrafficShapingRulesArgs, opts ...InvokeOption) (*LookupWirelessSsidsTrafficShapingRulesResult, error)
func LookupWirelessSsidsTrafficShapingRulesOutput(ctx *Context, args *LookupWirelessSsidsTrafficShapingRulesOutputArgs, opts ...InvokeOption) LookupWirelessSsidsTrafficShapingRulesResultOutput> Note: This function is named LookupWirelessSsidsTrafficShapingRules in the Go SDK.
public static class GetWirelessSsidsTrafficShapingRules
{
public static Task<GetWirelessSsidsTrafficShapingRulesResult> InvokeAsync(GetWirelessSsidsTrafficShapingRulesArgs args, InvokeOptions? opts = null)
public static Output<GetWirelessSsidsTrafficShapingRulesResult> Invoke(GetWirelessSsidsTrafficShapingRulesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWirelessSsidsTrafficShapingRulesResult> getWirelessSsidsTrafficShapingRules(GetWirelessSsidsTrafficShapingRulesArgs args, InvokeOptions options)
public static Output<GetWirelessSsidsTrafficShapingRulesResult> getWirelessSsidsTrafficShapingRules(GetWirelessSsidsTrafficShapingRulesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getWirelessSsidsTrafficShapingRules:getWirelessSsidsTrafficShapingRules
arguments:
# arguments dictionaryThe following arguments are supported:
- network_
id str - networkId path parameter. Network ID
- number str
- number path parameter.
getWirelessSsidsTrafficShapingRules Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Ssids Traffic Shaping Rules Item - Network
Id string - networkId path parameter. Network ID
- Number string
- number path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Ssids Traffic Shaping Rules Item - Network
Id string - networkId path parameter. Network ID
- Number string
- number path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Traffic Shaping Rules Item - network
Id String - networkId path parameter. Network ID
- number String
- number path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Traffic Shaping Rules Item - network
Id string - networkId path parameter. Network ID
- number string
- number path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Traffic Shaping Rules Item - network_
id str - networkId path parameter. Network ID
- number str
- number path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
- number String
- number path parameter.
Supporting Types
GetWirelessSsidsTrafficShapingRulesItem
- Default
Rules boolEnabled - Whether default traffic shaping rules are enabled (true) or disabled (false). There are 4 default rules, which can be seen on your network's traffic shaping page. Note that default rules count against the rule limit of 8.
- Rules
List<Get
Wireless Ssids Traffic Shaping Rules Item Rule> - An array of traffic shaping rules. Rules are applied in the order that they are specified in. An empty list (or null) means no rules. Note that you are allowed a maximum of 8 rules.
- Traffic
Shaping boolEnabled - Whether traffic shaping rules are applied to clients on your SSID.
- Default
Rules boolEnabled - Whether default traffic shaping rules are enabled (true) or disabled (false). There are 4 default rules, which can be seen on your network's traffic shaping page. Note that default rules count against the rule limit of 8.
- Rules
[]Get
Wireless Ssids Traffic Shaping Rules Item Rule - An array of traffic shaping rules. Rules are applied in the order that they are specified in. An empty list (or null) means no rules. Note that you are allowed a maximum of 8 rules.
- Traffic
Shaping boolEnabled - Whether traffic shaping rules are applied to clients on your SSID.
- default
Rules BooleanEnabled - Whether default traffic shaping rules are enabled (true) or disabled (false). There are 4 default rules, which can be seen on your network's traffic shaping page. Note that default rules count against the rule limit of 8.
- rules
List<Get
Wireless Ssids Traffic Shaping Rules Item Rule> - An array of traffic shaping rules. Rules are applied in the order that they are specified in. An empty list (or null) means no rules. Note that you are allowed a maximum of 8 rules.
- traffic
Shaping BooleanEnabled - Whether traffic shaping rules are applied to clients on your SSID.
- default
Rules booleanEnabled - Whether default traffic shaping rules are enabled (true) or disabled (false). There are 4 default rules, which can be seen on your network's traffic shaping page. Note that default rules count against the rule limit of 8.
- rules
Get
Wireless Ssids Traffic Shaping Rules Item Rule[] - An array of traffic shaping rules. Rules are applied in the order that they are specified in. An empty list (or null) means no rules. Note that you are allowed a maximum of 8 rules.
- traffic
Shaping booleanEnabled - Whether traffic shaping rules are applied to clients on your SSID.
- default_
rules_ boolenabled - Whether default traffic shaping rules are enabled (true) or disabled (false). There are 4 default rules, which can be seen on your network's traffic shaping page. Note that default rules count against the rule limit of 8.
- rules
Sequence[Get
Wireless Ssids Traffic Shaping Rules Item Rule] - An array of traffic shaping rules. Rules are applied in the order that they are specified in. An empty list (or null) means no rules. Note that you are allowed a maximum of 8 rules.
- traffic_
shaping_ boolenabled - Whether traffic shaping rules are applied to clients on your SSID.
- default
Rules BooleanEnabled - Whether default traffic shaping rules are enabled (true) or disabled (false). There are 4 default rules, which can be seen on your network's traffic shaping page. Note that default rules count against the rule limit of 8.
- rules List<Property Map>
- An array of traffic shaping rules. Rules are applied in the order that they are specified in. An empty list (or null) means no rules. Note that you are allowed a maximum of 8 rules.
- traffic
Shaping BooleanEnabled - Whether traffic shaping rules are applied to clients on your SSID.
GetWirelessSsidsTrafficShapingRulesItemRule
- Definitions
List<Get
Wireless Ssids Traffic Shaping Rules Item Rule Definition> - A list of objects describing the definitions of your traffic shaping rule. At least one definition is required.
- Dscp
Tag intValue - The DSCP tag applied by your rule. null means 'Do not change DSCP tag'. For a list of possible tag values, use the trafficShaping/dscpTaggingOptions endpoint.
- Pcp
Tag intValue - The PCP tag applied by your rule. Can be 0 (lowest priority) through 7 (highest priority). null means 'Do not set PCP tag'.
- Per
Client GetBandwidth Limits Wireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits - An object describing the bandwidth settings for your rule.
- Definitions
[]Get
Wireless Ssids Traffic Shaping Rules Item Rule Definition - A list of objects describing the definitions of your traffic shaping rule. At least one definition is required.
- Dscp
Tag intValue - The DSCP tag applied by your rule. null means 'Do not change DSCP tag'. For a list of possible tag values, use the trafficShaping/dscpTaggingOptions endpoint.
- Pcp
Tag intValue - The PCP tag applied by your rule. Can be 0 (lowest priority) through 7 (highest priority). null means 'Do not set PCP tag'.
- Per
Client GetBandwidth Limits Wireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits - An object describing the bandwidth settings for your rule.
- definitions
List<Get
Wireless Ssids Traffic Shaping Rules Item Rule Definition> - A list of objects describing the definitions of your traffic shaping rule. At least one definition is required.
- dscp
Tag IntegerValue - The DSCP tag applied by your rule. null means 'Do not change DSCP tag'. For a list of possible tag values, use the trafficShaping/dscpTaggingOptions endpoint.
- pcp
Tag IntegerValue - The PCP tag applied by your rule. Can be 0 (lowest priority) through 7 (highest priority). null means 'Do not set PCP tag'.
- per
Client GetBandwidth Limits Wireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits - An object describing the bandwidth settings for your rule.
- definitions
Get
Wireless Ssids Traffic Shaping Rules Item Rule Definition[] - A list of objects describing the definitions of your traffic shaping rule. At least one definition is required.
- dscp
Tag numberValue - The DSCP tag applied by your rule. null means 'Do not change DSCP tag'. For a list of possible tag values, use the trafficShaping/dscpTaggingOptions endpoint.
- pcp
Tag numberValue - The PCP tag applied by your rule. Can be 0 (lowest priority) through 7 (highest priority). null means 'Do not set PCP tag'.
- per
Client GetBandwidth Limits Wireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits - An object describing the bandwidth settings for your rule.
- definitions
Sequence[Get
Wireless Ssids Traffic Shaping Rules Item Rule Definition] - A list of objects describing the definitions of your traffic shaping rule. At least one definition is required.
- dscp_
tag_ intvalue - The DSCP tag applied by your rule. null means 'Do not change DSCP tag'. For a list of possible tag values, use the trafficShaping/dscpTaggingOptions endpoint.
- pcp_
tag_ intvalue - The PCP tag applied by your rule. Can be 0 (lowest priority) through 7 (highest priority). null means 'Do not set PCP tag'.
- per_
client_ Getbandwidth_ limits Wireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits - An object describing the bandwidth settings for your rule.
- definitions List<Property Map>
- A list of objects describing the definitions of your traffic shaping rule. At least one definition is required.
- dscp
Tag NumberValue - The DSCP tag applied by your rule. null means 'Do not change DSCP tag'. For a list of possible tag values, use the trafficShaping/dscpTaggingOptions endpoint.
- pcp
Tag NumberValue - The PCP tag applied by your rule. Can be 0 (lowest priority) through 7 (highest priority). null means 'Do not set PCP tag'.
- per
Client Property MapBandwidth Limits - An object describing the bandwidth settings for your rule.
GetWirelessSsidsTrafficShapingRulesItemRuleDefinition
- Type string
- The type of definition. Can be one of 'application', 'applicationCategory', 'host', 'port', 'ipRange' or 'localNet'.
- Value string
- If "type" is 'host', 'port', 'ipRange' or 'localNet', then "value" must be a string, matching either a hostname (e.g. "somesite.com"), a port (e.g. 8080), or an IP range ("192.1.0.0", "192.1.0.0/16", or "10.1.0.0/16:80"). 'localNet' also supports CIDR notation, excluding custom ports. If "type" is 'application' or 'applicationCategory', then "value" must be an object with the structure { "id": "meraki:layer7/..." }, where "id" is the application category or application ID (for a list of IDs for your network, use the trafficShaping/applicationCategories endpoint).
- Type string
- The type of definition. Can be one of 'application', 'applicationCategory', 'host', 'port', 'ipRange' or 'localNet'.
- Value string
- If "type" is 'host', 'port', 'ipRange' or 'localNet', then "value" must be a string, matching either a hostname (e.g. "somesite.com"), a port (e.g. 8080), or an IP range ("192.1.0.0", "192.1.0.0/16", or "10.1.0.0/16:80"). 'localNet' also supports CIDR notation, excluding custom ports. If "type" is 'application' or 'applicationCategory', then "value" must be an object with the structure { "id": "meraki:layer7/..." }, where "id" is the application category or application ID (for a list of IDs for your network, use the trafficShaping/applicationCategories endpoint).
- type String
- The type of definition. Can be one of 'application', 'applicationCategory', 'host', 'port', 'ipRange' or 'localNet'.
- value String
- If "type" is 'host', 'port', 'ipRange' or 'localNet', then "value" must be a string, matching either a hostname (e.g. "somesite.com"), a port (e.g. 8080), or an IP range ("192.1.0.0", "192.1.0.0/16", or "10.1.0.0/16:80"). 'localNet' also supports CIDR notation, excluding custom ports. If "type" is 'application' or 'applicationCategory', then "value" must be an object with the structure { "id": "meraki:layer7/..." }, where "id" is the application category or application ID (for a list of IDs for your network, use the trafficShaping/applicationCategories endpoint).
- type string
- The type of definition. Can be one of 'application', 'applicationCategory', 'host', 'port', 'ipRange' or 'localNet'.
- value string
- If "type" is 'host', 'port', 'ipRange' or 'localNet', then "value" must be a string, matching either a hostname (e.g. "somesite.com"), a port (e.g. 8080), or an IP range ("192.1.0.0", "192.1.0.0/16", or "10.1.0.0/16:80"). 'localNet' also supports CIDR notation, excluding custom ports. If "type" is 'application' or 'applicationCategory', then "value" must be an object with the structure { "id": "meraki:layer7/..." }, where "id" is the application category or application ID (for a list of IDs for your network, use the trafficShaping/applicationCategories endpoint).
- type str
- The type of definition. Can be one of 'application', 'applicationCategory', 'host', 'port', 'ipRange' or 'localNet'.
- value str
- If "type" is 'host', 'port', 'ipRange' or 'localNet', then "value" must be a string, matching either a hostname (e.g. "somesite.com"), a port (e.g. 8080), or an IP range ("192.1.0.0", "192.1.0.0/16", or "10.1.0.0/16:80"). 'localNet' also supports CIDR notation, excluding custom ports. If "type" is 'application' or 'applicationCategory', then "value" must be an object with the structure { "id": "meraki:layer7/..." }, where "id" is the application category or application ID (for a list of IDs for your network, use the trafficShaping/applicationCategories endpoint).
- type String
- The type of definition. Can be one of 'application', 'applicationCategory', 'host', 'port', 'ipRange' or 'localNet'.
- value String
- If "type" is 'host', 'port', 'ipRange' or 'localNet', then "value" must be a string, matching either a hostname (e.g. "somesite.com"), a port (e.g. 8080), or an IP range ("192.1.0.0", "192.1.0.0/16", or "10.1.0.0/16:80"). 'localNet' also supports CIDR notation, excluding custom ports. If "type" is 'application' or 'applicationCategory', then "value" must be an object with the structure { "id": "meraki:layer7/..." }, where "id" is the application category or application ID (for a list of IDs for your network, use the trafficShaping/applicationCategories endpoint).
GetWirelessSsidsTrafficShapingRulesItemRulePerClientBandwidthLimits
- Bandwidth
Limits GetWireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits Bandwidth Limits - The bandwidth limits object, specifying the upload ('limitUp') and download ('limitDown') speed in Kbps. These are only enforced if 'settings' is set to 'custom'.
- Settings string
- How bandwidth limits are applied by your rule. Can be one of 'network default', 'ignore' or 'custom'.
- Bandwidth
Limits GetWireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits Bandwidth Limits - The bandwidth limits object, specifying the upload ('limitUp') and download ('limitDown') speed in Kbps. These are only enforced if 'settings' is set to 'custom'.
- Settings string
- How bandwidth limits are applied by your rule. Can be one of 'network default', 'ignore' or 'custom'.
- bandwidth
Limits GetWireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits Bandwidth Limits - The bandwidth limits object, specifying the upload ('limitUp') and download ('limitDown') speed in Kbps. These are only enforced if 'settings' is set to 'custom'.
- settings String
- How bandwidth limits are applied by your rule. Can be one of 'network default', 'ignore' or 'custom'.
- bandwidth
Limits GetWireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits Bandwidth Limits - The bandwidth limits object, specifying the upload ('limitUp') and download ('limitDown') speed in Kbps. These are only enforced if 'settings' is set to 'custom'.
- settings string
- How bandwidth limits are applied by your rule. Can be one of 'network default', 'ignore' or 'custom'.
- bandwidth_
limits GetWireless Ssids Traffic Shaping Rules Item Rule Per Client Bandwidth Limits Bandwidth Limits - The bandwidth limits object, specifying the upload ('limitUp') and download ('limitDown') speed in Kbps. These are only enforced if 'settings' is set to 'custom'.
- settings str
- How bandwidth limits are applied by your rule. Can be one of 'network default', 'ignore' or 'custom'.
- bandwidth
Limits Property Map - The bandwidth limits object, specifying the upload ('limitUp') and download ('limitDown') speed in Kbps. These are only enforced if 'settings' is set to 'custom'.
- settings String
- How bandwidth limits are applied by your rule. Can be one of 'network default', 'ignore' or 'custom'.
GetWirelessSsidsTrafficShapingRulesItemRulePerClientBandwidthLimitsBandwidthLimits
- limit_
down int - The maximum download limit (integer, in Kbps).
- limit_
up int - The maximum upload limit (integer, in Kbps).
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
